* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --main-font: "Antic Didone", serif;
  --body-font: "Raleway", sans-serif;
  --dark-red: #a11d2c;
  --light-gray: #c6c6c6;
  --dark: #282828;
  --dark-gray: #5a5a5c;
  --white: #fff;
  --green: #50c878;
  --blue: #71c7ec;
}

/* Global */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--main-font);
}

body {
  font-family: var(--body-font);
}

.btn {
  letter-spacing: 2px;
}

.btn:hover {
  color: var(--white);
}

.btn:focus {
  box-shadow: none;
}

.common-btn {
  border-radius: 20px;
  color: var(--white);
}

.land-btn {
  margin-bottom: 10px;
  width: 50%;
  border-radius: 20px;
}

.login-btn, .logout-btn {
  background-color: var(--dark);
  color: var(--white);
}
.register-btn {
  background-color: var(--dark-red);
}

.show-products-btn {
  background-color: var(--dark-gray);
}

/* Start of Navbar */
.nav {
  background-color: var(--dark);
  position: relative;
}
.nav-logo {
  width: 8%;
}
.nav-link {
  color: var(--white);
  display: inline-block;
  margin: 0 5px;
  transition: 0.3s;
}
.nav-link:hover {
  color: var(--white);
  letter-spacing: 3px;
}
.nav-bag:hover {
  transform: scale(1.3);
}
/* End of Navbar */

/* Start of FormPages Styling */
.form {
  position: relative;
  width: 70%;
}
.form button {
  width: 50%;
  border-radius: 20px;
}
.form .form-control {
  border: 1px solid var(--dark);
  font-weight: bold;
  border-color: var(--dark-gray);
}
.form .form-control:focus {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  border-color: var(--dark-red);
}
.form-label {
  position: absolute;
  left: 16px;
  transform: translateY(-11px);
  background-color: var(--white);
  color: var(--dark-red);
  padding: 1px;
  font-size: 14px;
  font-weight: 600;
}
.form-wrapper {
  width: 50%;
  height: 70%;
}

/* -------- Start of Register Columns Styling -------- */
.form-wrapper .register-dark-col {
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

.form-wrapper .register-light-col {
  background-color: var(--white);
  width: 100%;
  height: 100%;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}

.password-not-match {
  font-size: 12px;
  color: var(--dark-red);
  font-weight: bold;
}

.password-match {
  font-size: 12px;
  color: green;
  font-weight: bold;
}

/* -------- End of Register Columns Styling -------- */
/* -------- Start of Login Columns Styling -------- */
.form-wrapper .login-dark-col {
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.form-wrapper .login-light-col {
  background-color: var(--white);
  width: 100%;
  height: 100%;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

/* -------- End of Login Columns Styling -------- */
.form-wrapper span {
  position: relative;
  font-size: 12px;
}
.form-wrapper span::after {
  content: "";
  position: absolute;
  width: 50px;
  height: 2px;
  background-color: var(--white);
  left: 150px;
  top: 9px;
}
.form-wrapper span::before {
  content: "";
  position: absolute;
  width: 50px;
  height: 2px;
  background-color: var(--white);
  right: 150px;
  top: 9px;
}
.register-login-section {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  display: grid;
  place-items: center;
}
/* End of FormPages Styling */

/* Start of LandPage */
.left-col {
  height: 100vh;
  width: 100vw;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
}
/* End of LandPage */

/* Start of Home */
.banner {
  height: 200px;
  background-color: var(--light-gray);
}
.home-logo {
  width: 8%;
}
.new-btn {
  background-color: var(--white);
  color: var(--dark-red);
  position: absolute;
  border: 5px solid var(--white);
  right: -20px;
  bottom: -20px;
  border-radius: 45%;
  font-size: 20px;
}
/* End of Home */

/* Start of ProductsPage */
.product-card {
  color: var(--dark-red);
  height: 100%;
  width: 70%;
  margin: 0 auto;
  transition: 0.3s;
}
.product-card:hover {
  box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
  transform: scale(1.01);
}
.product-img {
  width: 100%;
}
.bag-btn {
  position: absolute;
  background-color: var(--dark);
  border: 5px solid var(--white);
  right: -20px;
  bottom: -20px;
  border-radius: 45%;
  color: var(--white);
  font-size: 20px;
}
.details-btn {
  color: var(--dark);
  position: relative;
  z-index: 1;
}
.details-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 20%;
  height: 100%;
  border-radius: 20px;
  background-color: var(--dark-red);
  transition: 0.3s;
}
.details-btn:hover::before {
  width: 100%;
}
.search-bar {
  border-radius: 8px;
  border-color: var(--dark-red);
  width: 20%;
  text-indent: 10px;
}
/* End of ProductsPage */

/* Start of ProductDetails */
.product-details-wrapper {
  border: 2px solid var(--dark-red);
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
  color: var(--dark-red);
}
.product-details-wrapper img {
  width: 300px;
  border-radius: 20px;
}
.details {
  width: 50%;
}
.product-details-wrapper h6 {
  font-family: var(--body-font);
  position: relative;
}
.product-details-wrapper span::after {
  content: "";
  position: absolute;
  width: 15%;
  height: 0.5px;
  background-color: var(--dark-red);
  opacity: 0.7;
  top: 20px;
  left: 0;
}
.product-details-wrapper input {
  width: 20%;
  margin: 0 5px;
}
.plus-btn,
.subtract-btn {
  border: none;
  width: 20%;
  border-radius: 20px;
  font-weight: bold;
  font-size: 18px;
  color: var(--white);
}
.plus-btn {
  background-color: green;
}
.subtract-btn {
  background-color: var(--dark-red);
}
.add-to-bag-btn {
  width: 60%;
  border: none;
  background-color: var(--dark);
  color: var(--white);
  border-radius: 20px;
  height: 40px;
}
/* End of ProductDetails */

/* Start of Admin View */
.disable-btn,
.enable-btn,
.edit-btn {
  position: absolute;
  border: 5px solid var(--white);
  border-radius: 45%;
  color: var(--white);
  font-size: 20px;
}
.disable-btn {
  background-color: var(--dark-red);
  right: -20px;
  bottom: 50px;
}
.enable-btn {
  background-color: var(--green);
  right: -20px;
  bottom: 50px;
}
.edit-btn {
  background-color: var(--blue);
  right: -20px;
  bottom: -20px;
}
.add-product-btn {
  background-color: var(--dark);
  border-radius: 20px;
  padding: 5px 20px;
  border: none;
  color: var(--white);
}
.admin-form .form-control:focus {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  border-color: var(--dark-red);
}
.status-available {
  color: var(--green);
}
/* End of Admin View */

/* Start of Bag */
.total-items {
  padding: 3px 10px;
  border-radius: 50%;
  background-color: var(--dark-red);
  color: var(--white);
}
.empty-bag-img {
  width: 50%;
}
.empty-bag-btn {
  background-color: var(--dark-red);
  border-radius: 20px;
  font-weight: bold;
}
/* End of Bag */

/* Start of User's Order */
.accordion-button {
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
}
.accordion-button:focus {
  box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
}
.order-history-wrapper {
  color: var(--white);
  cursor: pointer;
  width: 100%;
}
.order-history-wrapper span {
  width: 10px;
  height: 10px;
  border-left: 2px solid var(--white);
}
.order-info {
  background-color: var(--light-gray);
}
/* End of User's Order */

.error-img {
  width: 40%;
}

/* Small Screen */
@media (max-width: 825px) {
  .nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 70vw;
    height: 100%;
    transform: translateX(-100%);
    background-color: #282828;
    z-index: 10;
    transition: 0.3s;
  }
  .navbar {
    height: 90%;
    flex-direction: column;
    justify-content: space-around;
  }
  .nav-logo {
    width: 30%;
  }
  .nav-items {
    width: 100%;
    text-align: center;
  }
  .nav-link {
    margin: 10px 0;
    display: block;
    text-align: center;
  }
  .right-nav {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  .right-nav .btn {
    width: 100%;
    margin-top: 10px;
  }
  .logout-btn {
    width: 100%;
  }
  .close-btn {
    color: red;
    position: fixed;
    top: 20px;
    right: 25px;
    font-size: 35px;
    z-index: 10;
    display: none;
  }
  .menu-btn {
    position: fixed;
    top: 20px;
    right: 25px;
    font-size: 40px;
    z-index: 10;
    cursor: pointer;
  }
  .open .menu-toggle .close-btn {
    display: block;
  }
  .open .menu-toggle .menu-btn {
    display: none;
  }
  .open .nav {
    transform: translateX(0);
  }
  .banner {
    flex-direction: column;
  }
  .search-bar {
    width: 60%;
  }
}